Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

How to install a YAST metapackage (.ymp) package under Ubuntu? Are there any tools for converting a .ymp to a .deb or to an installation script?

share|improve this question
    
As a long time SUSE user, this is the first time I've heard of .ypm files. Do you have an example of one somewhere? –  Kamil Kisiel Nov 4 '09 at 22:34
    
Your truth - not "ypm", but "ymp" –  user20272 Nov 16 '09 at 8:26
1  
What do you want to install, there is a 99% chance of Ubuntu already having it as .deb. If not, there is another 99% chance that this package is so system specific that you don't want to install the ymp as it wouldn't work anyway. –  OliverS Nov 16 '09 at 9:18
add comment

2 Answers

What you want is alien.

See: http://www.howtoforge.com/converting_rpm_to_deb_with_alien and http://embraceubuntu.com/2005/09/23/installing-using-an-rpm-file/

share|improve this answer
    
I told about ypm (YAST, OpenSUSE), not rpm. –  user20272 Nov 4 '09 at 20:17
1  
Thought it was a typo. Never heard of ypm. But now I'm curious. –  Swoogan Nov 4 '09 at 20:51
add comment

It is a bad idea to convert Linux packages to another formats for further installation.

The reason is not obvious: having a package built for another distribution implies that it could be built against different versions of its dependencies (shared libraries etc). Installing this package to another Linux system, which has different versions of those, might cause instability issues at least.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.